﻿IF NOT EXISTS (SELECT 1 FROM [dbo].[sysobjects] WHERE id = object_id(N'[management].[METADATA_ATTRIBUTE]') and OBJECTPROPERTY(id, N'IsTable') = 1)
BEGIN

CREATE TABLE [management].[METADATA_ATTRIBUTE](
	[MTD_ATTR_ID] [int] IDENTITY(1,1) NOT NULL,
	[ID] [varchar](4000) NOT NULL,
	[MSD_ID] [int] NOT NULL,
	[CL_ID] [int] NULL,
	[PARENT] [int] NULL,
	[MIN_OCCURS] [int] NULL,
	[MAX_OCCURS] [int] NULL,
	[IS_REPRESENTATIONAL] [smallint] NULL,
	[ENUM_ID] [bigint] NULL,
	PRIMARY KEY CLUSTERED 
	(
		[MTD_ATTR_ID] ASC
	) ON [PRIMARY]
) ON [PRIMARY]

ALTER TABLE [management].[METADATA_ATTRIBUTE]  WITH CHECK ADD  CONSTRAINT [FK_MD_ATTR_MD_ATTR] FOREIGN KEY([PARENT])
REFERENCES [management].[METADATA_ATTRIBUTE] ([MTD_ATTR_ID])

END